nut: Use nut->version in the version range check